<?php
/**
 * @file lof_jslidernews.tpl.php
 * Default theme implementation for displaying a carousel theme layout.
 *
 * Available variables:
 * - $lof_thumb: Array of thumbnail of carousel.
 * - $lof_img: Array of keyed image with link.
 * - $lof_content: Array of content associate same key with $lof_img
 * - $lof_width: Absolute with value defined for wrapper of carousel
 * - $lof_height: Absolute value defined for wrapper of carousel
 *
 * @see template_preprocess_lof_jslidernews()
 */
global $base_url;
?>
<?php if(!empty($lof_img)){ ?>
<div id="lof" class="lof-slidecontent" style="width:<?php print $lof_width ?>px;height:<?php print $lof_height ?>px">
  <div class="preload">
    <div></div>
  </div>
  <!-- MAIN CONTENT --> 
  <div class="lof-main-outer">
    <?php print $lof_next_main; ?>
    <ul class="lof-main-wrapper" style="padding:0;margin:0;">
      <?php 
        foreach($lof_img as $k => $img){
      ?>
        <li>
          <?php print $img; ?>
          <div class="lof-main-item-desc"><?php print $lof_content[$k]; ?></div>
        </li>
      <?php } ?>
    </ul>
    <?php print $lof_previous_main; ?>
  </div><!--END main-outer -->
  <div class="lof-navigator-wrapper">
    <?php print $lof_previous; ?>
    <div class="lof-navigator-outer">
      <ul class="lof-navigator">
        <?php print '<li>'.implode('</li><li>', $lof_thumb). '</li>'; ?>
      </ul><!--END nav -->
    </div><!--END nav-outer -->
    <?php print $lof_next; ?>
  </div><!--END nav-wrapper -->
</div><!--END lof -->
<script type="text/javascript">
$(document).ready(function() {
  var buttons = { previous:$('#lof .lof-previous') , next:$('#lof .lof-next') };
  $("#lof").lofJSliderNews( { 
    mainWidth: <?php print $lof_width ?>,
    navigatorWidth:<?php print $lof_navigator_width ?>,
    navigatorHeight:<?php print $lof_navigator_height ?>,
    maxItemDisplay:<?php print $lof_max_item_display ?>,
    direction:"<?php print $lof_direction ?>",
    interval:<?php print $lof_interval ?>,
    duration:<?php print $lof_duration ?>,
    easing:"<?php print $lof_easing ?>",
    navPosition:"<?php print $lof_nav_position ?>",
    auto:<?php print $lof_auto ?>,
    startItem:<?php print $lof_start_item ?>,
    navigatorEvent:"<?php print $lof_navigator_event ?>",
    mainItemSelector: 'li',
    navInnerSelector: 'ul',
    navSelector:'li',
    wrapperSelector:'.lof-main-wrapper',
    navItemsSelector:'.lof-navigator li',
    navOuterSelector:'.lof-navigator-outer',
    isPreloaded:true,
    buttons:buttons
  });
});
</script>
<?php 
  } 
  else if($_GET['q'] == 'admin/settings/lof_jslidernews') { 
    drupal_set_message("<a href='{$base_url}/node/add/carousel'>Create Carousel Now</a>", 'warning');
  }
  else if($_GET['q'] == 'node/add/carousel') {
    drupal_set_message("<a href='{$base_url}/admin/settings/lof_jslidernews'>Take a setting Now</a>", 'warning');
  }
?>